version: '3.8'

services:
  frontend:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - OPENAI_API_KEY=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
        - JWT_SECRET=your_super_secret_jwt_key
        - JWT_REFRESH_SECRET=your_super_secret_jwt_refresh_key
        - DATABASE_URL=mysql://tenderflowuser_cv_matcher_open_ai_user:tenderflowuser_cv_matcher_open_ai_pass@51.83.72.51:3306/tenderflowuser_cv_matcher_open_ai
        - DATABASE_USER=tenderflowuser_cv_matcher_open_ai_user
        - DATABASE_PASSWORD=tenderflowuser_cv_matcher_open_ai_pass
        - DATABASE_NAME=tenderflowuser_cv_matcher_open_ai
        - DATABASE_HOST=51.83.72.51
        - DATABASE_PORT=3306
    container_name: cv_scoring_application
    ports:
      - "2500:3000"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    volumes:
      - ./uploads:/app/uploads
    stdin_open: true
    tty: true
